version: '3.8'

services:
  frontend:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - OPENAI_API_KEY=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
        - JWT_SECRET=your_super_secret_jwt_key
        - JWT_REFRESH_SECRET=your_super_secret_jwt_refresh_key
        - DATABASE_URL=mysql://tenderflowuser_cv_matcher_open_ai_user:tenderflowuser_cv_matcher_open_ai_pass@51.83.72.51:3306/tenderflowuser_cv_matcher_open_ai
        - DATABASE_USER=tenderflowuser_cv_matcher_open_ai_user
        - DATABASE_PASSWORD=tenderflowuser_cv_matcher_open_ai_pass
        - DATABASE_NAME=tenderflowuser_cv_matcher_open_ai
        - DATABASE_HOST=51.83.72.51
        - DATABASE_PORT=3306
    container_name: cv_scoring_application
    ports:
      - "2500:3000"
    extra_hosts:
      - "host.docker.internal:host-gateway"
    volumes:
      - ./uploads:/app/uploads
    stdin_open: true
    tty: true
